Bug 917017 (CVE-2013-1798) - CVE-2013-1798 kernel: kvm: out-of-bounds access in ioapic indirect register reads
Summary: CVE-2013-1798 kernel: kvm: out-of-bounds access in ioapic indirect register r...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1798
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 917028 917029 917030 917032 923968 964434 964435
Blocks: 917037
TreeView+ depends on / blocked
 
Reported: 2013-03-01 13:28 UTC by Petr Matousek
Modified: 2019-09-29 13:01 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 21:13:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0727 normal SHIPPED_LIVE Important: kvm security update 2013-04-09 22:11:53 UTC
Red Hat Product Errata RHSA-2013:0744 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-04-23 22:25:40 UTC
Red Hat Product Errata RHSA-2013:0746 normal SHIPPED_LIVE Important: rhev-hypervisor6 security and bug fix update 2013-04-23 22:55:51 UTC
Red Hat Product Errata RHSA-2013:0928 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-06-11 21:37:17 UTC
Red Hat Product Errata RHSA-2013:1026 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-07-09 19:04:31 UTC

Description Petr Matousek 2013-03-01 13:28:59 UTC
Description of the problem:
If the guest specifies a IOAPIC_REG_SELECT with an invalid value and follows
that with a read of the IOAPIC_REG_WINDOW KVM does not properly validate
that request.  ioapic_read_indirect contains an
ASSERT(redir_index < IOAPIC_NUM_PINS), but the ASSERT has no effect in
non-debug builds.  In recent kernels this allows a guest to cause a kernel
oops by reading invalid memory.  In older kernels (pre-3.3) this allows a
guest to read from large ranges of host memory.


Acknowledgements:

Red Hat would like to thank Andrew Honig of Google for reporting this issue.

Comment 1 Petr Matousek 2013-03-01 13:30:14 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 5 and Red Hat Enterprise MRG as they did not provide support
for the KVM subsystem.

Comment 7 Petr Matousek 2013-03-20 19:49:06 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 923968]

Comment 8 Fedora Update System 2013-03-23 23:57:53 UTC
kernel-3.8.4-202.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2013-04-09 18:15:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0727 https://rhn.redhat.com/errata/RHSA-2013-0727.html

Comment 10 errata-xmlrpc 2013-04-23 18:28:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Comment 11 errata-xmlrpc 2013-04-23 18:56:45 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:0746 https://rhn.redhat.com/errata/RHSA-2013-0746.html

Comment 13 errata-xmlrpc 2013-06-11 17:40:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0928 https://rhn.redhat.com/errata/RHSA-2013-0928.html

Comment 14 errata-xmlrpc 2013-07-09 15:06:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:1026 https://rhn.redhat.com/errata/RHSA-2013-1026.html


Note You need to log in before you can comment on or make changes to this bug.